## timidity41-d77dbbc.zip

=== libarc/CMakeLists.txt ===

add_definitions(
    -Dpopen=_popen
    -Dpclose=_pclose
)

add_library(
    libarc OBJECT

    arc.c
    arc_lzh.c
    arc_mime.c
    arc_tar.c
    arc_zip.c
    deflate.c
    explode.c
    inflate.c
    unlzh.c
    url.c
    url_b64decode.c
    url_buff.c
    url_cache.c
    url_constmem.c
    url_dir.c
    url_file.c
    url_ftp.c
    url_hqxdecode.c
    url_http.c
    url_inflate.c
    url_mem.c
    url_news.c
    url_newsgroup.c
    url_pipe.c
    url_qsdecode.c
    url_uudecode.c
    
    arc.h
    explode.h
    unlzh.h
    url.h
    zip.h
)

=== libmpg123/CMakeLists.txt ===

include_directories(src src/compat src/libmpg123)

add_definitions(-DOPT_GENERIC)

add_library(
    mpg123 SHARED

    src/compat/compat.c
    src/compat/compat_str.c

    src/libmpg123/dct64.c
    src/libmpg123/dither.c
    src/libmpg123/equalizer.c
    src/libmpg123/feature.c
    src/libmpg123/format.c
    src/libmpg123/frame.c
    src/libmpg123/icy.c
    src/libmpg123/icy2utf8.c
    src/libmpg123/id3.c
    src/libmpg123/index.c
    # src/libmpg123/lfs_alias.c
    src/libmpg123/layer1.c
    src/libmpg123/layer2.c
    src/libmpg123/layer3.c
    # src/libmpg123/lfs_wrap.c
    src/libmpg123/libmpg123.c
    src/libmpg123/ntom.c
    src/libmpg123/optimize.c
    src/libmpg123/parse.c
    src/libmpg123/readers.c
    src/libmpg123/stringbuf.c
    src/libmpg123/synth.c
    src/libmpg123/synth_8bit.c
    src/libmpg123/synth_real.c
    src/libmpg123/synth_s32.c
    src/libmpg123/tabinit.c

    src/libmpg123/msvc.c

    src/config.h
    src/intsym.h
    src/compat/compat.h
    src/libmpg123/abi_align.h
    src/libmpg123/debug.h
    src/libmpg123/decode.h
    src/libmpg123/dither.h
    src/libmpg123/dither_impl.h
    src/libmpg123/fmt123.h
    src/libmpg123/frame.h
    src/libmpg123/gapless.h
    src/libmpg123/getbits.h
    src/libmpg123/getcpuflags.h
    src/libmpg123/huffman.h
    src/libmpg123/l12_integer_tables.h
    src/libmpg123/l3_integer_tables.h
    src/libmpg123/icy.h
    src/libmpg123/icy2utf8.h
    src/libmpg123/id3.h
    src/libmpg123/index.h
    src/libmpg123/l2tables.h
    src/libmpg123/mangle.h
    src/libmpg123/mpeghead.h
    include/mpg123.h
    src/libmpg123/mpg123lib_intern.h
    src/libmpg123/newhuffman.h
    src/libmpg123/optimize.h
    src/libmpg123/parse.h
    src/libmpg123/reader.h
    src/libmpg123/sample.h
    src/libmpg123/synth.h
    src/libmpg123/synth_8bit.h
    src/libmpg123/synth_mono.h
    src/libmpg123/synth_ntom.h
    src/libmpg123/synths.h
    src/libmpg123/true.h
)

target_compile_definitions(mpg123 PRIVATE -DBUILD_MPG123_DLL INTERFACE -DLINK_MPG123_DLL)
target_link_libraries(mpg123 shlwapi)

=== opus/CMakeLists.txt ===

include_directories(
    "."
    celt
    include/opus
    silk
    silk/float
)

add_definitions(
    -DUSE_ALLOCA
    -DOPUS_BUILD
    -DFLOAT_APPROX
    -DDLL_EXPORT
    -DOPUS_X86_MAY_HAVE_SSE
    -DOPUS_X86_MAY_HAVE_SSE2
    -DOPUS_X86_MAY_HAVE_SSE4_1
    -DOPUS_X86_PRESUME_SSE
    -DOPUS_X86_PRESUME_SSE2
    -DOPUS_X86_PRESUME_SSE4_1
)

add_library(
    opus SHARED

    include/opus/opus.h
    include/opus/opus_custom.h
    include/opus/opus_defines.h
    include/opus/opus_projection.h
    include/opus/opus_multistream.h
    include/opus/opus_types.h

    src/analysis.c
    src/analysis.h
    src/mlp.c
    src/mlp.h
    src/mlp_data.c
    src/opus.c
    src/opus_decoder.c
    src/opus_encoder.c
    src/opus_multistream.c
    src/opus_multistream_decoder.c
    src/opus_multistream_encoder.c
    src/opus_private.h
    src/repacketizer.c
    src/tansig_table.h

    celt/arch.h
    celt/bands.c
    celt/bands.h
    celt/celt.c
    celt/celt.h
    celt/celt_decoder.c
    celt/celt_encoder.c
    celt/celt_lpc.c
    celt/celt_lpc.h
    celt/cpu_support.h
    celt/cwrs.c
    celt/cwrs.h
    celt/ecintrin.h
    celt/entcode.c
    celt/entcode.h
    celt/entdec.c
    celt/entdec.h
    celt/entenc.c
    celt/entenc.h
    celt/fixed_debug.h
    celt/fixed_generic.h
    celt/float_cast.h
    celt/kiss_fft.c
    celt/kiss_fft.h
    celt/laplace.c
    celt/laplace.h
    celt/mathops.c
    celt/mathops.h
    celt/mdct.c
    celt/mdct.h
    celt/mfrngcod.h
    celt/modes.c
    celt/modes.h
    celt/os_support.h
    celt/pitch.c
    celt/pitch.h
    celt/quant_bands.c
    celt/quant_bands.h
    celt/rate.c
    celt/rate.h
    celt/stack_alloc.h
    celt/static_modes_fixed.h
    celt/static_modes_fixed_arm_ne10.h
    celt/static_modes_float.h
    celt/static_modes_float_arm_ne10.h
    celt/vq.c
    celt/vq.h
    celt/_kiss_fft_guts.h
    celt/x86/celt_lpc_sse4_1.c
    celt/x86/celt_lpc_sse.h
    celt/x86/pitch_sse.c
    celt/x86/pitch_sse.h
    celt/x86/pitch_sse2.c
    celt/x86/pitch_sse4_1.c
    celt/x86/vq_sse.h
    celt/x86/vq_sse2.c
    celt/x86/x86cpu.c
    celt/x86/x86cpu.h
    celt/x86/x86_celt_map.c

    silk/A2NLSF.c
    silk/ana_filt_bank_1.c
    silk/API.h
    silk/biquad_alt.c
    silk/bwexpander.c
    silk/bwexpander_32.c
    silk/check_control_input.c
    silk/CNG.c
    silk/code_signs.c
    silk/control.h
    silk/control_audio_bandwidth.c
    silk/control_codec.c
    silk/control_SNR.c
    silk/debug.c
    silk/debug.h
    silk/decoder_set_fs.c
    silk/decode_core.c
    silk/decode_frame.c
    silk/decode_indices.c
    silk/decode_parameters.c
    silk/decode_pitch.c
    silk/decode_pulses.c
    silk/dec_API.c
    silk/define.h
    silk/encode_indices.c
    silk/encode_pulses.c
    silk/enc_API.c
    silk/errors.h
    silk/gain_quant.c
    silk/HP_variable_cutoff.c
    silk/init_decoder.c
    silk/init_encoder.c
    silk/Inlines.h
    silk/inner_prod_aligned.c
    silk/interpolate.c
    silk/lin2log.c
    silk/log2lin.c
    silk/LPC_analysis_filter.c
    silk/LPC_fit.c
    silk/LPC_inv_pred_gain.c
    silk/LP_variable_cutoff.c
    silk/MacroCount.h
    silk/MacroDebug.h
    silk/macros.h
    silk/main.h
    silk/NLSF2A.c
    silk/NLSF_decode.c
    silk/NLSF_del_dec_quant.c
    silk/NLSF_encode.c
    silk/NLSF_stabilize.c
    silk/NLSF_unpack.c
    silk/NLSF_VQ.c
    silk/NLSF_VQ_weights_laroia.c
    silk/NSQ.c
    silk/NSQ.h
    silk/NSQ_del_dec.c
    silk/pitch_est_defines.h
    silk/pitch_est_tables.c
    silk/PLC.c
    silk/PLC.h
    silk/process_NLSFs.c
    silk/quant_LTP_gains.c
    silk/resampler.c
    silk/resampler_down2.c
    silk/resampler_down2_3.c
    silk/resampler_private.h
    silk/resampler_private_AR2.c
    silk/resampler_private_down_FIR.c
    silk/resampler_private_IIR_FIR.c
    silk/resampler_private_up2_HQ.c
    silk/resampler_rom.c
    silk/resampler_rom.h
    silk/resampler_structs.h
    silk/shell_coder.c
    silk/sigm_Q15.c
    silk/SigProc_FIX.h
    silk/sort.c
    silk/stereo_decode_pred.c
    silk/stereo_encode_pred.c
    silk/stereo_find_predictor.c
    silk/stereo_LR_to_MS.c
    silk/stereo_MS_to_LR.c
    silk/stereo_quant_pred.c
    silk/structs.h
    silk/sum_sqr_shift.c
    silk/tables.h
    silk/tables_gain.c
    silk/tables_LTP.c
    silk/tables_NLSF_CB_NB_MB.c
    silk/tables_NLSF_CB_WB.c
    silk/tables_other.c
    silk/tables_pitch_lag.c
    silk/tables_pulses_per_block.c
    silk/table_LSF_cos.c
    silk/tuning_parameters.h
    silk/typedef.h
    silk/VAD.c
    silk/VQ_WMat_EC.c
    silk/float/apply_sine_window_FLP.c
    silk/float/autocorrelation_FLP.c
    silk/float/burg_modified_FLP.c
    silk/float/bwexpander_FLP.c
    silk/float/corrMatrix_FLP.c
    silk/float/encode_frame_FLP.c
    silk/float/energy_FLP.c
    silk/float/find_LPC_FLP.c
    silk/float/find_LTP_FLP.c
    silk/float/find_pitch_lags_FLP.c
    silk/float/find_pred_coefs_FLP.c
    silk/float/inner_product_FLP.c
    silk/float/k2a_FLP.c
    silk/float/LPC_analysis_filter_FLP.c
    silk/float/LPC_inv_pred_gain_FLP.c
    silk/float/LTP_analysis_filter_FLP.c
    silk/float/LTP_scale_ctrl_FLP.c
    silk/float/main_FLP.h
    silk/float/noise_shape_analysis_FLP.c
    silk/float/pitch_analysis_core_FLP.c
    silk/float/process_gains_FLP.c
    silk/float/regularize_correlations_FLP.c
    silk/float/residual_energy_FLP.c
    silk/float/scale_copy_vector_FLP.c
    silk/float/scale_vector_FLP.c
    silk/float/schur_FLP.c
    silk/float/SigProc_FLP.h
    silk/float/sort_FLP.c
    silk/float/structs_FLP.h
    silk/float/warped_autocorrelation_FLP.c
    silk/float/wrappers_FLP.c
    silk/x86/main_sse.h
    silk/x86/NSQ_del_dec_sse4_1.c
    silk/x86/NSQ_sse4_1.c
    silk/x86/SigProc_FIX_sse.h
    silk/x86/VAD_sse4_1.c
    silk/x86/VQ_WMat_EC_sse4_1.c
    silk/x86/x86_silk_map.c
)

=== pdcurses/CMakeLists.txt ===

add_library(
    pdcurses SHARED

    pdcurses/addch.c
    pdcurses/addchstr.c
    pdcurses/addstr.c
    pdcurses/attr.c
    pdcurses/beep.c
    pdcurses/bkgd.c
    pdcurses/border.c
    pdcurses/clear.c
    pdcurses/color.c
    pdcurses/debug.c
    pdcurses/delch.c
    pdcurses/deleteln.c
    pdcurses/getch.c
    pdcurses/getstr.c
    pdcurses/getyx.c
    pdcurses/inch.c
    pdcurses/inchstr.c
    pdcurses/initscr.c
    pdcurses/inopts.c
    pdcurses/insch.c
    pdcurses/insstr.c
    pdcurses/instr.c
    pdcurses/kernel.c
    pdcurses/keyname.c
    pdcurses/mouse.c
    pdcurses/move.c
    pdcurses/outopts.c
    pdcurses/overlay.c
    pdcurses/pad.c
    pdcurses/panel.c
    win32/pdcclip.c
    win32/pdcdisp.c
    win32/pdcgetsc.c
    win32/pdckbd.c
    win32/pdcscrn.c
    win32/pdcsetsc.c
    win32/pdcutil.c
    pdcurses/printw.c
    pdcurses/refresh.c
    pdcurses/scanw.c
    pdcurses/scr_dump.c
    pdcurses/scroll.c
    pdcurses/slk.c
    pdcurses/termattr.c
    pdcurses/touch.c
    pdcurses/util.c
    pdcurses/window.c

    curses.h
    curspriv.h
    panel.h
    win32/pdcwin.h

    pdcurses.def
    win32/pdcurses.rc
)

=== timidity/CMakeLists.txt ===

add_definitions(
    [[-DDEFAULT_PATH="./"]]
)

# calcnewton

add_executable(calcnewton calcnewt.c)

if(MSVC AND "${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
    target_compile_options(calcnewton PRIVATE /Oi-)
endif()

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/newton_table.c"
    COMMAND calcnewton "${CMAKE_CURRENT_BINARY_DIR}/newton_table.c"
)

set_source_files_properties(resample.c OBJECT_DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/newton_table.c")
include_directories("${CMAKE_CURRENT_BINARY_DIR}")

# timidity common

set(
    TIMIDITY_INTERFACE_DEPENDENT_SOURCE

    controls.c
    flac_a.c
    gogo_a.c
    int_synth.c
    lame_a.c
    miditrace.c
    npipe_a.c
    opus_a.c
    output.c
    playmidi.c
    portaudio_a.c
    sndfontini.c
    speex_a.c
    thread.c
    timer2.c
    timidity.c
    vorbis_a.c
    wrdt.c
    
    controls.h
    flac_a.h
    gogo_a.h
    int_synth.h
    LameEnc.h
    miditrace.h
    output.h
    portaudio_a.h
    thread.h
    timer2.h
    timidity.h
    vstwrapper.h
    wrd.h

    $<TARGET_OBJECTS:libarc>
    $<TARGET_OBJECTS:libunimod>
    $<TARGET_OBJECTS:utils>
)

add_definitions(${TIMIDITY_FE_DEFINITIONS})

add_library(
    timidity_common OBJECT

    aiff_a.c
    ao_a.c
    aq.c
    au_a.c
    audio_cnv.c
    common.c
    decode.c
	dls.cpp
    effect.c
    envelope.c
    filter.c
    freq.c
    instrum.c
    midi_a.c
    oscillator.c
    list_a.c
    loadtab.c
    m2m.c
    mfi.c
    mfnode.c
    mix.c
    mod.c
    mod2midi.c
    modmid_a.c
    mt19937ar.c
    myini.c
    optcode.c
    quantity.c
    raw_a.c
    rcp.c
    readmidi.c
    recache.c
    resample.c
    sbkconv.c
    sffile.c
    sfitem.c
    sfz.cpp
    benchmark_a.c
    smfconv.c
    smplfile.c
    sndfont.c
    tables.c
    version.c
    voice_effect.c
    volumecalc_a.c
    w32_a.c
    w32_gogo.c
    wasapi_a.c
    wave_a.c
    w32g_ogg_dll.c
    w32_portaudio_dll.c
	w32_speex_dll.c
    w32g_vorbis_dll.c
    w32g_vorbisenc_dll.c
    w32g_vorbisfile_dll.c
    w32g_opus_dll.c
    w32_libFLAC_dll.c
    w32_libmpg123_dll.c
    w32_libOggFLAC_dll.c
    wdmks_a.c
    wrd_read.c

    aenc.h
    aq.h
    audio_cnv.h
    audriv.h
    common.h
    decode.h
	dls.h
    dlutils.h
    filter.h
    freq.h
    instrum.h
    oscillator.h
    loadsndfontini.h
    mac_com.h
    mac_main.h
    mfnode.h
    mix.h
    mod.h
    mod2midi.h
    mt19937ar.h
    myini.h
    optcode.h
    playmidi.h
    pragmapack.h
    quantity.h
    readmidi.h
    recache.h
    resample.h
    effect.h
    sffile.h
    sfitem.h
    sflayer.h
    sfz.h
    smfconv.h
    sndfontini.h
    sysdep.h
    tables.h
    voice_effect.h
    w32_a.h
    w32_gogo.h
    w32_libFLAC_dll.h
    w32_libFLAC_dll_g.h
    w32_libFLAC_dll_i.h
    w32_libOggFLAC_dll.h
    w32_libOggFLAC_dll_g.h
    w32_libOggFLAC_dll_i.h
	wasapi_a.h
    wdmks_a.h

    ../vorbis-tools/vorbiscomment/vcedit.c
    ../vorbis-tools/vorbiscomment/vcedit.h
)

set(
    TIMIDITY_COMMON_LIBS

    avrt
    comctl32
    setupapi
    shlwapi
    winmm
    ws2_32
)

# timidity

add_executable(
    timidity

    ${TIMIDITY_INTERFACE_DEPENDENT_SOURCE}
    $<TARGET_OBJECTS:interface>
    $<TARGET_OBJECTS:timidity_common>
)

add_dependencies(timidity UpdateTim41Version)
target_compile_definitions(timidity PRIVATE -DIA_NCURSES -DIA_VT100)
target_link_libraries(timidity ${TIMIDITY_COMMON_LIBS} pdcurses)

# twsynsrv

add_executable(
    twsynsrv

    ${TIMIDITY_INTERFACE_DEPENDENT_SOURCE}
    $<TARGET_OBJECTS:interface_synsrv>
    $<TARGET_OBJECTS:timidity_common>
)

add_dependencies(twsynsrv UpdateTim41Version)
target_compile_definitions(twsynsrv PRIVATE -DIA_WINSYN -DTWSYNSRV -DTWSYNG32INI)
target_link_libraries(twsynsrv ${TIMIDITY_COMMON_LIBS})

# timw32g

add_executable(
    timw32g WIN32

    ${TIMIDITY_INTERFACE_DEPENDENT_SOURCE}
    $<TARGET_OBJECTS:interface_w32g>
    $<TARGET_OBJECTS:timidity_common>
)

add_dependencies(timw32g UpdateTim41Version)
target_compile_definitions(timw32g PRIVATE -DIA_W32GUI -D__W32G__)
target_link_libraries(timw32g ${TIMIDITY_COMMON_LIBS})
DisableMSManifest(timw32g)

# twsyng

add_executable(
    twsyng WIN32

    ${TIMIDITY_INTERFACE_DEPENDENT_SOURCE}
    $<TARGET_OBJECTS:interface_w32gsyn>
    $<TARGET_OBJECTS:timidity_common>
)

add_dependencies(twsyng UpdateTim41Version)
target_compile_definitions(twsyng PRIVATE -DIA_WINSYN -DIA_W32G_SYN -D__W32G__ -DTWSYNG32 -DTWSYNG32INI)
target_link_libraries(twsyng ${TIMIDITY_COMMON_LIBS})
DisableMSManifest(twsyng)

=== debian/control ===
Source: timidity
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 7),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libaudio-dev,
 libaudiofile-dev,
 libesd0-dev,
 libflac-dev (>= 1.1.4),
 libgtk2.0-dev,
 libjack-dev,
 libao-dev,
 libaudio-dev,
 portaudio19-dev (>= 18.0),
 libportmidi-dev,
 libncurses-dev,
 libpng-dev,
 libslang2-dev,
 libspeex-dev (>= 1.0),
 libvorbis-dev (>= 1.0.0-3),
 libopus-dev,
 libmpg123-dev (>= 1.0),
 libmotif-dev (>= 2.0),
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxmu-dev,
 libxpm-dev,
 libxt-dev,
 tcl-dev,
 tk-dev,
Standards-Version: 3.9.2
Homepage: http://timidity.sourceforge.net/

Package: timidity
Architecture: any
Depends:
 lsb-base (>= 3.2-13),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 freepats,
 timidity-daemon,
Suggests:
 fluid-soundfont-gm,
 fluid-soundfont-gs,
 pmidi,
Description: Software sound renderer (MIDI sequencer, MOD player)
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD player.
 It uses sound fonts (GUS-compatible or SF2-compatible) to render MIDI files,
 which are not included in this package.
 .
   * Plays MIDI files without any external MIDI instruments at all
   * Understands SMF, RCP/R36/G18/G36, MFI, RMI (MIDI)
   * Autodetects and supports GM/GS/XG MIDI
   * Understands MOD, XM, S3M, IT, 699, AMF, DSM, FAR, GDM,
     IMF, MED, MTM, STM, STX, ULT, UNI (MOD)
   * Does MOD to MIDI conversion (including playback)
   * Outputs audio into various audio file formats: WAV, au, AIFF,
     Ogg (Vorbis, FLAC, Speex)
   * Supports NAS, eSound, JACK, ALSA and OSS drivers
   * Uses Gravis Ultrasound compatible patch files and SoundFont2 patch
     files as the voice data for MIDI instruments
   * Supports playing from archives (zip, lzh, tar...) and playing remote
     data from the network
   * Timidity++ can be used as an ALSA sequencer device

Package: timidity-interfaces-extra
Architecture: any
Depends:
 timidity (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 timidity (<< 2.12.0),
Description: TiMidity++ extra user interfaces
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD 
 player.
 .
 This package provides extra TiMidity++ user interfaces, which have
 limited functionality when compared to those in the main package.
 .
 Interfaces in this package: VT100, Tcl/Tk, S-Lang, XSkin, GTK2

Package: timidity-el
Section: lisp
Architecture: all
Depends:
 emacsen-common,
 timidity (>= ${source:Version}),
 ${misc:Depends},
Description: Emacs front end to Timidity++
 The timidity.el Emacs-Lisp program is a front-end to the TiMidity++ software-
 only MIDI sequencer and MOD player.  You can play MIDI amd MOD files directly
 from Emacs with this package.

Package: timidity-daemon
Section: sound
Architecture: all
Depends:
 adduser,
 timidity (>= ${source:Version}),
 ${misc:Depends},
Replaces:
 timidity (<< 2.13.2-31),
Description: runs TiMidity++ as a system-wide MIDI sequencer
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD 
 player.
 .
 This package provides TiMidity++ as a system-wide MIDI sequencer.
